Package org.eclipse.rdf4j.sail.shacl

## Enum SourceConstraintComponent.ConstraintType

- java.lang.Object
- - java.lang.Enum<SourceConstraintComponent.ConstraintType>
  - - org.eclipse.rdf4j.sail.shacl.SourceConstraintComponent.ConstraintType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SourceConstraintComponent.ConstraintType>`
  Enclosing class:
    SourceConstraintComponent

      public static enum SourceConstraintComponent.ConstraintType
      extends Enum<SourceConstraintComponent.ConstraintType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Cardinality` |
    `Logical` |
    `Other` |
    `PropertyPair` |
    `ShapeBased` |
    `StringBased` |
    `ValueRange` |
    `ValueType` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SourceConstraintComponent.ConstraintType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SourceConstraintComponent.ConstraintType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ValueType

          public static final SourceConstraintComponent.ConstraintType ValueType

    - #### Cardinality

          public static final SourceConstraintComponent.ConstraintType Cardinality

    - #### ValueRange

          public static final SourceConstraintComponent.ConstraintType ValueRange

    - #### StringBased

          public static final SourceConstraintComponent.ConstraintType StringBased

    - #### PropertyPair

          public static final SourceConstraintComponent.ConstraintType PropertyPair

    - #### Logical

          public static final SourceConstraintComponent.ConstraintType Logical

    - #### ShapeBased

          public static final SourceConstraintComponent.ConstraintType ShapeBased

    - #### Other

          public static final SourceConstraintComponent.ConstraintType Other

  - ### Method Detail

    - #### values

          public static SourceConstraintComponent.ConstraintType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceConstraintComponent.ConstraintType c : SourceConstraintComponent.ConstraintType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceConstraintComponent.ConstraintType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null